SND_PCM_LIB_PREALLOC(9)

NAME
snd_pcm_lib_preallocate_pages - pre-allocation for the given DMA type

SYNOPSIS

int snd_pcm_lib_preallocate_pages(struct snd_pcm_substream * substream, int type, struct device * data, size_t size, size_t max);

ARGUMENTS

substream
    the pcm substream instance

type
    DMA type (SNDRV_DMA_TYPE_*)

data
    DMA type dependent data

size
    the requested pre-allocation size in bytes

max
    the max. allowed pre-allocation size

DESCRIPTION

Do pre-allocation for the given DMA buffer type.

RETURN

Zero if successful, or a negative error code on failure.

COPYRIGHT